> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.arb.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Look up SKU pricing

> Looks up current pricing information for one or more SKU codes. Supports both single SKU lookup and batch lookup of up to 50 SKUs.



## OpenAPI

````yaml api-reference/billing.yaml post /pricing/lookup
openapi: 3.0.3
info:
  title: billing
  description: >-
    The Billing Service manages billing-related operations across the platform.
    It handles all financial transactions, balance management, and SKU-based
    pricing across the platform.
  version: 1.0.0
servers:
  - url: https://billing.platform.arb.inc
security: []
tags:
  - name: /
  - name: _internal
  - name: balance
  - name: charge
  - name: checkout
  - name: pricing
  - name: skus
  - name: transactions
paths:
  /pricing/lookup:
    post:
      tags:
        - pricing
      summary: Look up SKU pricing
      description: >-
        Looks up current pricing information for one or more SKU codes. Supports
        both single SKU lookup and batch lookup of up to 50 SKUs.
      operationId: lookupPricing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                skuCode:
                  type: string
                  description: Single SKU code to look up (convenience field)
                  example: DOCUMENT_FILING
                skuCodes:
                  type: array
                  description: Array of SKU codes to look up in batch (max 50)
                  items:
                    type: string
                  example:
                    - DOCUMENT_FILING
                    - CREDITS_50
                    - CASE_CREATION
      responses:
        '200':
          description: Pricing information for requested SKUs
          content:
            application/json:
              schema:
                type: object
                properties:
                  prices:
                    type: array
                    items:
                      type: object
                      properties:
                        skuCode:
                          type: string
                          example: DOCUMENT_FILING
                        name:
                          type: string
                          example: Document Filing
                        description:
                          type: string
                          example: File a document in a case
                        priceCredits:
                          type: number
                          example: 10
                        priceDollars:
                          type: number
                          example: 1
                        isActive:
                          type: boolean
                          example: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: access token
      scheme: bearer
      bearerFormat: JWT

````